@echo off
echo *** Committing to cvs
cvs commit -m "-"

echo ***
echo *** Making source snapshot
cd release
rm -rf wstat-src-latest.zip
mkdir tmpsrc
cd tmpsrc
cvs -d :ext:frangen@cvs.sourceforge.net:/cvsroot/frangen checkout w_stat
cd w_stat
zip -q -r ../../wstat-src-latest.zip *
cd ..
cd ..
rm -rf tmpsrc
cd ..

echo ***
echo *** Building .exe
cd src
rem c:\utils\installer\makespec.py --ascii --onefile teamstat.py
del *.pyc
c:\utils\installer\build.py teamstat.spec > nul
rm -rf ../release/wstat-win32-latest.zip
zip -q -j ../release/wstat-win32-latest.zip teamstat.exe ../README.txt CHANGELOG
mv teamstat.exe ../test/
rm -rf buildteamstat warnteamstat.txt teamstat.exe
cd..

echo ***
echo *** Transferring files to webspace
scp release/wstat-win32-latest.zip frangen@clan.gs:./dev/sf-html/wstats/
scp release/wstat-src-latest.zip frangen@clan.gs:./dev/sf-html/wstats/
scp src/CHANGELOG frangen@clan.gs:./dev/sf-html/wstats/

echo ***
echo *** Testing builded .exe
test\teamstat.exe logs\big.log c:\temp\okra.html
rem rm test\teamstat.exe

