# english events

rename = r'(?P<name1>.*?)\^7 renamed to (?P<name2>.*)$'
mm1 = r'(?P<talker>.*?)\^7: \^2(?P<line>.*)$'
mm2 = r': \((?P<talker>.*?)\)\^3\(.*?\): \^5(?P<line>.*)'
unknownkill = r"(?P<name1>.+?)\^7 was killed by (?P<name2>.+?)\^7$"
teamkill = r"(?P<name1>.+?)\^7 \^1WAS KILLED BY TEAMMATE\^7 " \
           "(?P<name2>.+?)\^7$"

suicides = (
    ('MOD_SUICIDE', "committed suicide"),
    ('MOD_FALLING', "fell to his death"),
    ('MOD_CRUSH', "was crushed"),
    ('MOD_WATER', "drowned"),
    ('MOD_SLIME', "died by toxic materials"),
    ('MOD_TRIGGER_HURT',  "was killed"),
    ('MOD_DYNAMITE_SPLASH', "dynamited himself to pieces"),
    ('MOD_GRENADE_SPLASH', "dove on his own grenade"),
    ('MOD_ROCKET_SPLASH', "vaporized himself"),
    ('MOD_AIRSTRIKE', "obliterated himself"),
    ('MOD_AIRSTRIKE', "fired-for-effect on himself"),
    ('MOD_EXPLOSIVE', "died in his own explosion"),
    #('', "killed himself"), # removed intentionally
    ('', "died")
    )

kills = (
    ('Knife', "was stabbed by", "'s knife"),
    ('Luger', "was killed by", "'s Luger 9mm"),
    ('Colt', "was killed by", " 's .45ACP 1911"),
    ('MP40', "was killed by", "'s MP40"),
    ('Thompson', "was killed by", "'s Thompson"),
    ('Sten', "was killed by", "'s Sten"),
    ('Mauser', "was killed by", "'s Mauser"),
    ('Sniper', "was killed by", "'s sniper rifle"),
    ('Dynamite', "was blasted by", "'s dynamite"),
    ('Panzer', "was blasted by", "'s Panzerfaust"),
    ('Grenade',	"was exploded by", "'s grenade"),
    ('Venom', "was ventilated by", "'s Venom"),
    ('Flamethrower', "was cooked by", "'s flamethrower"),
    ('MG42', "was perforated by", "'s crew-served MG42"),
    ('Airstrike', "was blasted by", "'s support fire"),
    ('Artillary', "was shelled by", "'s artillary support"), # osp event
    )

