# -*- coding: latin-1 -*-
# spanish events
# contributed by Tomas V.V.Cox

rename = r'(?P<name1>.*?)\^7 ha cambiado su nombre a (?P<name2>.*)$'
mm1 = r'(?P<talker>.*?)\^7: \^2(?P<line>.*)$'
mm2 = r': \((?P<talker>.*?)\)\^3\(.*?\): \^5(?P<line>.*)'
unknownkill = r"(?P<name1>.+?)\^7 fue asesinado por (?P<name2>.+?)\^7$"
teamkill = r"(?P<name1>.+?)\^7 \^1FUE ASESINADO POR EL COMPAERO DE EQUIPO\^7 " \
            "(?P<name2>.+?)\^7$"

suicides = (
    ('MOD_SUICIDE', "se ha matado"),
    ('MOD_FALLING', "fell to his death"),
    ('MOD_CRUSH', "was crushed"),
    ('MOD_WATER', "ahogado"),
    ('MOD_SLIME', "died by toxic materials"),
    ('MOD_TRIGGER_HURT',  "fue asesinado"),
    ('MOD_DYNAMITE_SPLASH', "se ha volado a s mismo en pedazos"),
    ('MOD_GRENADE_SPLASH', "cay sobre su propia granada"),
    ('MOD_ROCKET_SPLASH', "se ha liquidado a s mismo"),
    ('MOD_AIRSTRIKE', "se ha destruido a s mismo"),
    ('MOD_AIRSTRIKE', "fired-for-effect on himself"), #untranslated in the game
    ('MOD_EXPLOSIVE', "died in his own explosion"),
    #('', "killed himself"), # removed intentionally
    ('', "ha muerto")
    )

kills = (
    ('Knife', "fue apualado por", r"\(con su cuchillo\)"),
    ('Luger', "fue asesinado por", r"\(con su Luger 9mm\)"),
    ('Colt', "fue asesinado por", r"\(con su .45ACP 1911\)"),
    ('MP40', "fue asesinado por", r"\(con su MP40\)"),
    ('Thompson', "fue asesinado por", r"\(con su Thompson\)"),
    ('Sten', "fue asesinado por", r"\(con su Sten\)"),
    ('Mauser', "fue asesinado por", r"\(con su Mauser\)"),
    ('Sniper', "fue asesinado por", r"\(con su rifle de francotirador\)"),
    ('Dynamite', "fue acribillado por", r"\(con su dinamita\)"),
    ('Panzer', "fue acribillado por", r" con su bazuka"),
    ('Grenade',	"fue detonado por", r"\(con su granada\)"),
    ('Venom', "fue cepillado por", r"\(con su Venom\)"),
    ('Flamethrower', "fue merendado por", r"\(con su lanzallamas\)"),
    ('MG42', "fue perforado por", r"\(con su MG42 de equipo\)"),
    ('Airstrike', "fue acribillado por", r"\(con su fuego de apoyo\)"),
    ('Artillary', "was shelled by", "'s artillary support"), # osp event
    )

