# -*- coding: latin-1 -*-
# german events
# contributed by Thiemo Geisberger

rename = r'(?P<name1>.*?)\^7 hat sich umbenannt in (?P<name2>.*)$'
mm1 = r'(?P<talker>.*?)\^7: \^2(?P<line>.*)$'
mm2 = r': \((?P<talker>.*?)\)\^3\(.*?\): \^5(?P<line>.*)'
unknownkill = r"(?P<name1>.+?)\^7 wurde gettet von (?P<name2>.+?)\^7$"
teamkill = r"(?P<name1>.+?)\^7 \^1STARB DURCH TEAMKAMERAD\^7 " \
           "(?P<name2>.+?)\^7$"

suicides = (
    ('MOD_SUICIDE', "ttete sich selbst"),
    ('MOD_FALLING', "strzte sich zu Tode"),
    ('MOD_CRUSH', "wurde zerdrckt"),
    ('MOD_WATER', "ist ertrunken"),
    ('MOD_SLIME', "died by toxic materials"),
    ('MOD_TRIGGER_HURT',  "wurde gettet"),
    ('MOD_DYNAMITE_SPLASH', "sprengte sich selbst in die Luft"),
    ('MOD_GRENADE_SPLASH', "starb durch seine Granate"),
    ('MOD_ROCKET_SPLASH', "hat sich selbst erledigt"),
    #('MOD_AIRSTRIKE', "hat sich selbst erledigt"),
    # airstrike and grenade splash have same message
    # but it does not matter
    ('MOD_AIRSTRIKE', "fired-for-effect on himself"),
    ('MOD_EXPLOSIVE', "died"),
    #('', "killed himself"), # removed intentionally
    ('', "died"),
    )

kills = (
    ('Knife', "wurde erstochen von", " - Messer"),
    ('Luger', "wurde gettet von", " - Luger 9mm"),
    ('Colt', "wurde gettet von", " - .45ACP 1911"),
    ('MP40', "wurde gettet von", " - MP40"),
    ('Thompson', "wurde gettet von", " - Thompson"),
    ('Sten', "wurde gettet von", " - Sten"),
    ('Mauser', "was killed by", "'s Mauser"),
    ('Sniper', "wurde gettet von", " - Scharfschtzengewehr"),
    ('Dynamite', "wurde erledigt von", " - Dynamit"),
    ('Panzer', "wurde erledigt von", " - Panzerfaust"),
    ('Grenade',	"wurde gesprengt von", " - Granate"),
    ('Venom', "wurde ventiliert von", " - Giftspritze"),
    ('Flamethrower', "wurde gerstet von", " - Flammenwerfer"),
    ('MG42', "wurde durchsiebt von", " - MG 42"),
    ('Airstrike', "wurde erledigt von", " - Spezialangriff"),
    ('Artillary', "was shelled by", "'s artillary support"), # osp event
    )

